NeuroLate

Get a project

GET
/ext/v1/projects/{id}

Free.

Authorization

apiKey
headerAuthorizationBearer <nlk_… (team API key)>

Path Parameters

id*string
Formatuuid

Response Body

The project.

application/json
  1. response
id?string
Formatuuid
name?string
originalName?string|null
type?string
Value in"MANGA""WEBTOON"
originalLanguage?Language

Language code. UND — not set; operations reject it as a source language.

Value in"AR""AZ""BE""BG""BN""BS""CS""DA""DE""EL""EN""ES""ET""FA""FI""FR""HE""HI""HR""HU""HY""ID""IT""JA""KA""KK""KO""KY""LT""LV""MK""MN""MR""MS""NE""NL""NO""PL""PT""RO""RU""SK""SL""SQ""SR""SV""SW""TA""TE""TG""TH""TL""TR""UK""UND""UR""UZ""VI""ZH"
targetLanguage?Language

Language code. UND — not set; operations reject it as a source language.

Value in"AR""AZ""BE""BG""BN""BS""CS""DA""DE""EL""EN""ES""ET""FA""FI""FR""HE""HI""HR""HU""HY""ID""IT""JA""KA""KK""KO""KY""LT""LV""MK""MN""MR""MS""NE""NL""NO""PL""PT""RO""RU""SK""SL""SQ""SR""SV""SW""TA""TE""TG""TH""TL""TR""UK""UND""UR""UZ""VI""ZH"
readingDirection?string

Default reading direction for new chapters (manga).

Value in"LTR""RTL"
archived?boolean
createdAt?string
Formatdate-time
Example Request
curl -X GET 'https://api.neurolate.com/ext/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "originalName": "string",  "type": "MANGA",  "originalLanguage": "AR",  "targetLanguage": "AR",  "readingDirection": "LTR",  "archived": true,  "createdAt": "2019-08-24T14:15:22Z"}